import React from 'react';
import Head from 'next/head';

var Header = function Header(props) {
  var title = props.title,
      keyword = props.keyword,
      description = props.description,
      isLiveSite = props.isLiveSite,
      canonicalUrl = props.canonicalUrl;


  return React.createElement(
    Head,
    null,
    title && React.createElement(
      'title',
      null,
      title
    ),
    keyword && React.createElement('meta', { name: 'keywords', content: keyword }),
    description && React.createElement('meta', { name: 'description', content: description, key: 'description' }),
    !isLiveSite && React.createElement('meta', { name: 'robots', content: 'noindex, nofollow' }),
    canonicalUrl && React.createElement('link', { rel: 'canonical', href: canonicalUrl, key: 'canonical' })
  );
};

var Header$1 = React.memo(Header);

export default Header$1;
export { Header };
